Open eClass - Z¢paApata #290

MySQL 5.7.10 issues
02/02/2016 12:07 - Panayotis Katsaloulis

Status: Khewoto Start date: 02/02/2016
Priority: Kavovikn Due date:

Assignee: % Done: 50%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Me ™ MySQL unapxouv akopa Bepata, Ta avapepw 3w yla va Ta XOUNE WG avagpopa yLa va Ta ETILAUCOULE.

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 36 : U
nable to execute statement:"Unknown system variable 'storage_engine'", sglstate:"1193", errornum:"
HYOO00", statement:"SET storage_engine = InnoDB", elapsed:0.001235

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 731
Unable to execute statement:"Invalid default value for 'ltime_alive'", sqglstate:"1067", errornum:"
42000", statement:"CREATE TABLE IF NOT EXISTS "wiki_locks®™ ( "ptitle’ VARCHAR (255) NOT NULL DEFAUL
T '', “wiki_id® INT(11) UNSIGNED NOT NULL, “uid’ MEDIUMINT (8) UNSIGNED NOT NULL DEFAULT 0, "ltime_
created’ TIMESTAMP NOT NULL, ~ltime_alive® TIMESTAMP NOT NULL, PRIMARY KEY (ptitle, wiki_id) ) DEF
AULT CHARACTER SET=utf8", elapsed:0.00055000000000005

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1065
Unable to execute statement:"Cannot load from mysgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HYOOO", statement:"DROP PROCEDURE IF EXISTS "add_node ", elapsed:0.001768

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1079
Unable to execute statement:"Cannot load from mysgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HYO00", statement:"CREATE PROCEDURE "add_node® (IN name TEXT CHARSET utf8, I
N parentlft INT(11l), IN p_code VARCHAR (20) CHARSET utf8, IN p_allow_course BOOLEAN, IN p_allow_use
r BOOLEAN, IN p_order_priority INT(11l)) LANGUAGE SQL BEGIN DECLARE 1ft, rgt INT(11l); SET 1ft = par
entlft + 1; SET rgt = parentlft + 2; CALL shift_right (parentlft, 2, 0); INSERT INTO "hierarchy' (n
ame, 1ft, rgt, code, allow_course, allow_user, order_priority) VALUES (name, l1lft, rgt, p_code, p_a
llow_course, p_allow_user, p_order_priority); END", elapsed:0.001726

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1081
Unable to execute statement:"Cannot load from mysqgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HYOOO0", statement:"DROP PROCEDURE IF EXISTS "add_node_ext ", elapsed:0.00056
499999999998

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1095
Unable to execute statement:"Cannot load from mysqgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HYO00", statement:"CREATE PROCEDURE "add_node_ext® (IN name TEXT CHARSET utf
8, IN parentlft INT(11l), IN p_code VARCHAR(20) CHARSET utf8, IN p_number INT(11l), IN p_generator I
NT (11), IN p_allow_course BOOLEAN, IN p_allow_user BOOLEAN, IN p_order_priority INT(11l)) LANGUAGE
SQL BEGIN DECLARE 1ft, rgt INT(11l); SET 1ft = parentlft + 1; SET rgt = parentlft + 2; CALL shift_r
ight (parentlft, 2, 0); INSERT INTO "“hierarchy' (name, 1lft, rgt, code, number, generator, allow_cou
rse, allow_user, order_priority) VALUES (name, 1lft, rgt, p_code, p_number, p_generator, p_allow_co
urse, p_allow_user, p_order_priority); END", elapsed:0.00060000000000002

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1097
Unable to execute statement:"Cannot load from mysqgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HYOOO0O", statement:"DROP PROCEDURE IF EXISTS “update_node ", elapsed:0.000474

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1110
Unable to execute statement:"Cannot load from mysgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HYOOO", statement:"CREATE PROCEDURE ~update_node” (IN p_id INT(11l), IN p_nam
e TEXT CHARSET utf8, IN nodelft INT(11l), IN p_lft INT(1l1l), IN p_rgt INT(1ll), IN parentlft INT(1l1l),
IN p_code VARCHAR (20) CHARSET utf8, IN p_allow_course BOOLEAN, IN p_allow_user BOOLEAN, IN p_orde
r_priority INT(11l)) LANGUAGE SQL BEGIN UPDATE "“hierarchy®™ SET name = p_name, 1lft = p_1ft, rgt = p_
rgt, code = p_code, allow_course = p_allow_course, allow_user = p_allow_user, order_priority = p_o
rder_priority WHERE id = p_id; IF nodelft <> parentlft THEN CALL move_nodes (nodelft, p_lft, p_rgt)
; END IF; END", elapsed:0.001049

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1112
Unable to execute statement:"Cannot load from mysgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HYOOO0O", statement:"DROP PROCEDURE IF EXISTS “delete_node ", elapsed:0.000427
00000000001

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1122
Unable to execute statement:"Cannot load from mysgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HYOOO0", statement:"CREATE PROCEDURE “delete_node” (IN p_id INT(11l)) LANGUAGE
SQL BEGIN DECLARE p_l1ft, p_rgt INT(11); SELECT 1ft, rgt INTO p_lft, p_rgt FROM “hierarchy’ WHERE
id = p_id; DELETE FROM "hierarchy’ WHERE id = p_id; CALL delete_nodes(p_lft, p_rgt); END", elapsed
:0.00053600000000001

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1124
Unable to execute statement:"Cannot load from mysqgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HYOOO", statement:"DROP PROCEDURE IF EXISTS "shift_right ", elapsed:0.000366
00000000001

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1139
Unable to execute statement:"Cannot load from mysgl.proc. The table is probably corrupted", sglst
ate:"1728", errornum:"HYOOO0", statement:"CREATE PROCEDURE “shift_right® (IN node INT(11l), IN shift

INT(11), IN maxrgt INT(11l)) LANGUAGE SQL BEGIN IF maxrgt > 0 THEN UPDATE "hierarchy' SET rgt = rg
t + shift WHERE rgt > node AND rgt <= maxrgt; ELSE UPDATE “hierarchy’ SET rgt = rgt + shift WHERE
rgt > node; END IF; IF maxrgt > 0 THEN UPDATE “hierarchy®™ SET 1ft = 1ft + shift WHERE 1ft > node A
ND 1ft <= maxrgt; ELSE UPDATE "hierarchy™ SET 1ft = 1ft + shift WHERE 1ft > node; END IF; END", el
apsed:0.00042200000000001

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1141
Unable to execute statement:"Cannot load from mysqgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HYOOO", statement:"DROP PROCEDURE IF EXISTS “shift_left ", elapsed:0.0002610
0000000001

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install _db.php on line 1156
Unable to execute statement:"Cannot load from mysgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HY0OO00", statement:"CREATE PROCEDURE "shift_left® (IN node INT(11l), IN shift
INT(11), IN maxrgt INT(11)) LANGUAGE SQL BEGIN IF maxrgt > 0 THEN UPDATE "hierarchy' SET rgt = rgt
- shift WHERE rgt > node AND rgt <= maxrgt; ELSE UPDATE "hierarchy  SET rgt = rgt - shift WHERE r
gt > node; END IF; IF maxrgt > 0 THEN UPDATE " hierarchy' SET 1ft = 1ft - shift WHERE 1ft > node AN
D 1ft <= maxrgt; ELSE UPDATE " hierarchy® SET 1lft = 1ft - shift WHERE 1ft > node; END IF; END", ela
psed:0.00034299999999998

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1158
Unable to execute statement:"Cannot load from mysgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HYOOO", statement:"DROP PROCEDURE IF EXISTS "shift_end ", elapsed:0.000306

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1165
Unable to execute statement:"Cannot load from mysqgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HYOOO", statement:"CREATE PROCEDURE “shift_end® (IN p_lft INT(11l), IN p_rgt

INT(11), IN maxrgt INT(11l)) LANGUAGE SQL BEGIN UPDATE “hierarchy' SET 1ft = (1lft - (p_lft - 1)) +
maxrgt, rgt = (rgt - (p_lft - 1)) + maxrgt WHERE 1ft BETWEEN p_lft AND p_rgt; END", elapsed:0.0004
16

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1167
Unable to execute statement:"Cannot load from mysgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HYOOO", statement:"DROP PROCEDURE IF EXISTS "get_maxrgt ", elapsed:0.000467

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1172
Unable to execute statement:"Cannot load from mysgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HYOOO", statement:"CREATE PROCEDURE ~get_maxrgt® (OUT maxrgt INT(11)) LANGUA
GE SQL BEGIN SELECT rgt INTO maxrgt FROM "hierarchy® ORDER BY rgt DESC LIMIT 1; END", elapsed:0.00
034600000000001

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1174

Unable to execute statement:"Cannot load from mysqgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HYOOO", statement:"DROP PROCEDURE IF EXISTS "get_parent ", elapsed:0.000501
In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1179
Unable to execute statement:"Cannot load from mysqgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HYOOO0O", statement:"CREATE PROCEDURE "get_parent™ (IN p_1ft INT(11), IN p_rgt
INT(11)) LANGUAGE SQL BEGIN SELECT * FROM " hierarchy ™ WHERE 1ft < p_l1ft AND rgt > p_rgt ORDER BY
1ft DESC LIMIT 1; END", elapsed:0.000393

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1181
Unable to execute statement:"Cannot load from mysqgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HYOOO", statement:"DROP PROCEDURE IF EXISTS “delete_nodes ", elapsed:0.00029
699999999999

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1191
Unable to execute statement:"Cannot load from mysgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HYOOO0O", statement:"CREATE PROCEDURE “delete_nodes”™ (IN p_1lft INT(11l), IN p_r
gt INT(11l)) LANGUAGE SQL BEGIN DECLARE node_width INT(11); SET node_width = p_rgt - p_1ft + 1; DEL
ETE FROM "“hierarchy’ WHERE 1ft BETWEEN p_lft AND p_rgt; UPDATE " hierarchy® SET rgt = rgt - node_wi
dth WHERE rgt > p_rgt; UPDATE "“hierarchy’ SET 1ft = 1ft - node_width WHERE 1ft > p_1lft; END", elap
sed:0.00034700000000001

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1193
Unable to execute statement:"Cannot load from mysgl.proc. The table is probably corrupted", sglst
ate:"1728", errornum:"HYOOO0", statement:"DROP PROCEDURE IF EXISTS "move_nodes ", elapsed:0.000275

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1218
Unable to execute statement:"Cannot load from mysqgl.proc. The table is probably corrupted", sqglst
ate:"1728", errornum:"HYO000", statement:"CREATE PROCEDURE “move_nodes  (INOUT nodelft INT(11), IN
p_lft INT(11l), IN p_rgt INT(11l)) LANGUAGE SQL BEGIN DECLARE node_width, maxrgt INT(11l); SET node_w
idth = p_rgt - p_1ft + 1; CALL get_maxrgt (maxrgt); CALL shift_end(p_1lft, p_rgt, maxrgt); IF nodelf
t = 0 THEN CALL shift_left (p_rgt, node_width, 0); ELSE CALL shift_left (p_rgt, node_width, maxrgt);
IF p_lft < nodelft THEN SET nodelft = nodelft - node_width; END IF; CALL shift_right (nodelft, nod
e_width, maxrgt); UPDATE "hierarchy’  SET rgt = (rgt - maxrgt) + nodelft WHERE rgt > maxrgt; UPDATE
“hierarchy™ SET 1ft = (lft - maxrgt) + nodelft WHERE 1ft > maxrgt; END IF; END", elapsed:0.000430
00000000001

In file /Users/teras/Works/Development/WebApps/eClass/server/install/install_db.php on line 1717
Unable to execute statement:"Table 'eclass.wiki_locks' doesn't exist", sqglstate:"1146", errornum:
"42502", statement:"CREATE INDEX “wiki_id® ON wiki_locks (wiki_id)", elapsed:0.00052599999999997

History

#1 - 02/02/2016 16:21 - Yannis Exidaridis
- % Done changed from 0 to 50

dlopBwonkav ta default engine kat o mvakag wiki_locks.

#2 - 26/05/2020 12:14 - Yannis Exidaridis
€XEL SlopBwbEL.

#3 - 26/05/2020 12:14 - Yannis Exidaridis

- Status changed from Nea to KAetoto
